Collections by Wallet(s)

This endpoint is commonly used to pass specific chains and wallet addresses to get back a summary of the NFT collection ownership of these addresses, and the number of tokens owned.
To supply multiple values, provide them comma separated in the query params, e.g., chains=optimism,ethereum&wallet_addresses=0xa12,0xb34. ENS addresses can also be provided for the wallet_addresses.
Note that last_acquired_date here represents, for each collection, for the wallet address(es) passed in the query, the timestamp at which an NFT from the collection was most recently added to one of those wallets.
Similarly, total_copies_owned indicates the sum of the quantities of the NFTs from the collection that are owned by the wallet address(es) passed to the endpoint.
To understand more about the difference between Collections and Contracts, please refer to our FAQ
This endpoint also returns info on the distinct owner count and distinct NFT count for the listed collections.
This is an updated version of the Collections by Wallet(s) endpoint. Visit the old version here.
Query Params
string
required
Defaults to ethereum

Chain(s) to query - may be comma delimited (e.g., ethereum,arbitrum)

string
required
Defaults to 0xC01A0311708476E586fc194eB433979FF904E6Dd

Owner wallet address(es), comma-separated for multiple values (e.g., 0xa12,0xb34). Limit of 20 addresses.

int32

Filter to collections with spam score less than or equal to this value (valid range: 0-100, inclusive)

int32

Filter to collections with spam score less than this value (valid range: 1-101, inclusive)

int32

Filter to collections with spam score greater than or equal to this value (valid range: 0-100, inclusive)

int32

Filter to collections with spam score greater than this value (valid range: -1-99, inclusive)

string
Defaults to 1

Optional parameter to include a field called nft_ids providing the nft_ids from that collection held by the wallet(s)

int32
Defaults to 50

Limit. Defaults to 50, capped at 50.

string

Used to retrieve the next page of results

string
enum

Include the associated contract details for the addresses listed in top_contracts

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json